Repository 32bit  Forum
Repository 64bit  Wiki

Alternativa a Grip + errori vari di GSlacky [RISOLTO]

Questo forum raccoglie tutte le discussioni sul progetto Gnome Slacky (Gnome per Slackware).

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Gslacky usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Citare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute.
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Re: Qualcuno conosce un'alternativa a Grip ?

Messaggioda gohanz » mer mar 05, 2008 13:47

Ma che versione delle Glib2 hai installato?
Avatar utente
gohanz
Staff
Staff
 
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

Stesso problema, ricerca in rete...

Messaggioda eth0 » mer mar 05, 2008 13:51

Ecco ciò che sono riuscito a trovare cercando l'errore in rete; mi consola che qualcun altro abbia avuto il mio stesso problema...

A quanto pare, ha risolto aggiornando le "gtk+"... vi sembra possibile ?

Il Cd di GSlacky, rimpiazza le "gtk+" ?

Ecco il link:

http://www.mandrakeitalia.org/modules/newbb/viewtopic.php?topic_id=12867&viewmode=flat&order=ASC&start=0
Avatar utente
eth0
Linux 2.0
Linux 2.0
 
Messaggi: 177
Iscritto il: lun ott 11, 2004 23:00
Località: Orvieto (TR) / Roma (RM) / 42°41′0″N 12°6′0″E
Slackware: 13.0
Kernel: 2.6.34
Desktop: KDE_4.2.4
Distribuzione: OpenBSD, Gentoo

Re: Qualcuno conosce un'alternativa a Grip ?

Messaggioda eth0 » mer mar 05, 2008 13:54

gohanz ha scritto:Ma che versione delle Glib2 hai installato?


Grazie per la pronta risposta !

Le "Glib2" sono quelle di default del CD d'installazione di Slackware 12.0 o, se il CD GSlacky le aggiorna, quelle che sono sul CD di GSlacky.

Purtroppo non ho il mio PC sotto mano, ma sono certo che sia così...
Avatar utente
eth0
Linux 2.0
Linux 2.0
 
Messaggi: 177
Iscritto il: lun ott 11, 2004 23:00
Località: Orvieto (TR) / Roma (RM) / 42°41′0″N 12°6′0″E
Slackware: 13.0
Kernel: 2.6.34
Desktop: KDE_4.2.4
Distribuzione: OpenBSD, Gentoo

Re: Qualcuno conosce un'alternativa a Grip ?

Messaggioda gohanz » mer mar 05, 2008 14:02

L'errore è dovuto al fatto che sul tuo pc le Glib2 e le librerie Gtk2 sono di una versione probabilmente più vecchia della versione installata da GSlacky.
Quindi controlla e nel caso effettua l'upgrade a manetta. Forse è andato qualcosa storto nell'istallazione. Le librerie di GSlacky (Glib 2 e Gtk2 sono presenti nel cd in /packages/platform.
Avatar utente
gohanz
Staff
Staff
 
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

Provo, poi posto il risultato !

Messaggioda eth0 » mer mar 05, 2008 14:58

gohanz ha scritto:L'errore è dovuto al fatto che sul tuo pc le Glib2 e le librerie Gtk2 sono di una versione probabilmente più vecchia della versione installata da GSlacky.
Quindi controlla e nel caso effettua l'upgrade a manetta. Forse è andato qualcosa storto nell'istallazione. Le librerie di GSlacky (Glib 2 e Gtk2 sono presenti nel cd in /packages/platform.


Grazie e ancora grazie per l'aiuto.

Controllo, eventualmente cambio e poi posto il risultato appena posso!
Avatar utente
eth0
Linux 2.0
Linux 2.0
 
Messaggi: 177
Iscritto il: lun ott 11, 2004 23:00
Località: Orvieto (TR) / Roma (RM) / 42°41′0″N 12°6′0″E
Slackware: 13.0
Kernel: 2.6.34
Desktop: KDE_4.2.4
Distribuzione: OpenBSD, Gentoo

Soluzione !

Messaggioda eth0 » gio mar 06, 2008 10:27

Ma ditemi se gohanz è un grande o no !

Ho risolto, come hai detto tu !

L'errore che mi dava al momento di lanciare i programmi di GNOME, ossia:

Codice: Seleziona tutto
undefined symbol: g_once_init_enter_impl


... era dato dal fatto che quando ho installato i nuovi pacchetti dal CD di GSlacky, non ne ho aggiornati altri indispensabili al funzionamento del sistema (nel mio caso "gtk2+" e "Glib2").

Tutto ok,
grazie a tutti,
grazie gohanz,
eth0
Avatar utente
eth0
Linux 2.0
Linux 2.0
 
Messaggi: 177
Iscritto il: lun ott 11, 2004 23:00
Località: Orvieto (TR) / Roma (RM) / 42°41′0″N 12°6′0″E
Slackware: 13.0
Kernel: 2.6.34
Desktop: KDE_4.2.4
Distribuzione: OpenBSD, Gentoo

Re: Alternativa a Grip + errori vari di GSlacky [RISOLTO]

Messaggioda gohanz » gio mar 06, 2008 11:26

Perfetto sposto sulla sezione Gnome-Slacky del forum! ;)
Avatar utente
gohanz
Staff
Staff
 
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

Re: Qualcuno conosce un'alternativa a Grip ?

Messaggioda algol » mar mar 11, 2008 1:27

robbybby ha scritto:
algol ha scritto:Approfitto:

Ma non esiste un bel metodo testuale vecchia scuola per fare codesto sporco lavoro?

Codice: Seleziona tutto
lame -mj --preset fast medium --add-id3v2 --tt "Titolo" --ta "Artista" --tl "Album" --tyanno --tnnumero_traccia --tg "genere"  infile.wav outfile.mp3


Se invece dell'mp3 (e royalties collegate) preferisci un formato libero, puoi usare ogg
Codice: Seleziona tutto
oggenc -q4.5 -oOutfile.ogg  --artist "Artista" --album "Album" --title "Titolo" --tracknum  numerotraccia --genre "genere musicale" infile.wav


Al solito man lame, o man oggenc per personalizzare i parametri.


Ah ok, grazie.
Diciamo che però intendevo una cosa massiccia come quella svolta da grip, ovvero convertire in un botto tutte le n tracce di un Cd (ci vuole un ciclo for...?); da una fugace occhiata al man di sox sembra che accetti più file in ingresso...
E poi, negli script è citato un infile.wav, ma da dove lo si prende? Un cd audio mica lo si monta (non con audiocd:, da terminale) e si visualizzano file wav??? :roll:
Avatar utente
algol
Linux 2.6
Linux 2.6
 
Messaggi: 969
Iscritto il: gio set 07, 2006 0:19
Slackware: 12.1
Kernel: 2.6.26.1
Desktop: xfce4.4.2

Precedente

Torna a Gnome Slacky

Chi c’è in linea

Visitano il forum: Nessuno e 2 ospiti